/*   $DateTime: 2006/08/28 10:09:07 $ */
/*   $Revision: #5 $ */

  /*****************************************************************/
  /*                                                               */
  /* a                                                              */
  /*                                                               */
  /*****************************************************************/
  a.SAPXDPDefault,
  a.SAPXDPGlossarylink
  {
    background-color: inherit;
    color: #3A6B8E;
    text-decoration: none;
  }

  a.SAPXDPLinkInTitle
  {
    background-color: inherit;
    color: #003366;
    /*B1*/ -B1-color: inherit;
    text-decoration: none;
  }

  a.SAPXDPInactiveURL
  {
    background-color: inherit;
    border-bottom: 1px solid #AAAAAA;
    color: #333333;
    font-size: 0.9em;
    font-style: normal;
    font-weight: normal;
    text-decoration: none;
    text-transform: lowercase;
  }

  div.SAPXDPBodyLatinChar a.SAPXDPInactiveURL { font-family: "Arial Monospaced for SAP", "Lucida Console", "Courier New", Courier, monospace; }

  div.SAPXDPBodyGreekChar a.SAPXDPInactiveURL { font-family: monospace; }

  div.SAPXDPBodyCyrillicChar a.SAPXDPInactiveURL { font-family: monospace; }

  div.SAPXDPBodyKoreanChar a.SAPXDPInactiveURL { font-family: GulimChe, DotumChe, monospace; }

  div.SAPXDPBodyJapaneseIdeograms a.SAPXDPInactiveURL { font-family: "MS Gothic", monospace; }

  div.SAPXDPBodyChineseIdeograms a.SAPXDPInactiveURL { font-family: NSimSun, monospace; }

  div.SAPXDPBodyBrowserDefault a.SAPXDPInactiveURL { font-family: monospace; font-size: inherit; }

  a.SAPXDPInactiveURL:hover
  {
    background-color: inherit;
    border-bottom: 1px solid #333333;
    color: #000000;
  }

  a.SAPXDPLinkInTitle:hover
  {
    background-color: inherit;
    border-bottom: 1px solid;
    color: #3A6B8E;
    /*B1*/ -B1-color: inherit;
  }

  a.SAPXDPDefault:hover {
    background-color: inherit;
    border-bottom: 1px solid;
    color: #003366;
  }

  a.SAPXDPGlossarylink:hover {
    background-color: inherit;
    border-bottom: 1px dotted;
    color: #003366;
  }

  /*****************************************************************/
  /*                                                               */
  /* body (done via div.SAPXDPBodyDefault)                         */
  /*                                                               */
  /*****************************************************************/
  div.SAPXDPBodyDefault
  {
    background-color: #FFFFFF;
    background-image: none;
    color: #333333;
    font-size: 0.9em;
    line-height: 1.5em;
    margin: 0px 50px 0px 130px;
    /*B1*/ -B1-margin: 0px 50px 0px 60px;
    word-spacing: 0.1em;
    /*SCR*/ scrollbar-3dlight-color: #306898;    /* MS IE only */
    /*SCR*/ scrollbar-arrow-color: #306898;      /* MS IE only */
    /*SCR*/ scrollbar-base-color: #E8F1F8;       /* MS IE only */
    /*SCR*/ scrollbar-darkshadow-color: #E8F1F8; /* MS IE only */
    /*SCR*/ scrollbar-face-color: #E8F1F8;       /* MS IE only */
    /*SCR*/ scrollbar-highlight-color: #FFFFFF;  /* MS IE only */
    /*SCR*/ scrollbar-shadow-color: #306898;     /* MS IE only */
    /*SCR*/ scrollbar-track-color: #E8F1F8;      /* MS IE only */
  }

/*P*/     @media print
/*P*/     {
/*P*/       div.SAPXDPBodyDefault {
/*P*/         margin: 0mm;
/*P*/         padding: 20mm 20mm 20mm 30mm;
/*P*/         width: 100%;
/*P*/       }
/*P*/     }

  div.SAPXDPBodyrtl { margin: 0px 130px 0px 50px }

  div.SAPXDPBodyLatinChar { font-family: Georgia, "Times New Roman", Palatino, Times, Utopia, serif; }

  div.SAPXDPBodyGreekChar { font-family: Georgia, "Times New Roman", Palatino, Times, Utopia, serif; }

  div.SAPXDPBodyCyrillicChar { font-family: Georgia, "Times New Roman", Palatino, Times, Utopia, serif; }

  div.SAPXDPBodyKoreanChar { font-family: Gulim, Dotum, sans-serif; }

  div.SAPXDPBodyJapaneseIdeograms { font-family: "MS PGothic", Osaka, sans-serif; /* 'Osaka' for pre-10.x Macintosh */
  letter-spacing: 1px;
  }

  div.SAPXDPBodyChineseIdeograms { font-family: "SimSun (Founder Extended)", SimSun, serif;
  font-size: 1.1em;
  line-height: 1.4em;
  }

  div.SAPXDPBodyBrowserDefault { font-family: serif; }

  /*****************************************************************/
  /*                                                               */
  /* caption                                                       */
  /*                                                               */
  /*****************************************************************/
  caption.SAPXDPDefault
  {
    background-color: #D6D7D6;
    background-image: none;
    caption-side: top;
    color: #333333;
    font-size: 0.8em;
    font-weight: bold;
    padding: 1px 4px 1px 5px;
    text-align: left;
    /*P*/ page-break-inside: avoid;
    /*P*/ page-break-after: avoid;
    -moz-border-radius-topleft: 8px;
    -moz-border-radius-topright: 8px;
  }

  div.SAPXDPICObject caption.SAPXDPDefault
  {
     /*B1*/ -B1-background-color: #FFFFFF;
     /*B1*/ -B1-border-bottom: #5385B1 dotted 3px;
     /*B1*/ -B1-color: #5385B1;
  }

  div.SAPXDPBodyrtl caption.SAPXDPDefault { text-align: right; }

  div.SAPXDPBodyLatinChar caption.SAPXDPDefault { font-family: Tahoma, Verdana, Charcoal, Helvetica, sans-serif; }

  div.SAPXDPBodyGreekChar caption.SAPXDPDefault { font-family: Tahoma, Verdana, Charcoal, Helvetica, sans-serif; }

  div.SAPXDPBodyCyrillicChar caption.SAPXDPDefault { font-family: Tahoma, Verdana, Charcoal, Helvetica, sans-serif; }

  div.SAPXDPBodyKoreanChar caption.SAPXDPDefault { font-family: Gulim, "Dotum", "Arial Unicode MS", sans-serif; }

  div.SAPXDPBodyJapaneseIdeograms caption.SAPXDPDefault { font-family: "MS PGothic", Osaka, sans-serif; }

  div.SAPXDPBodyChineseIdeograms caption.SAPXDPDefault { font-family: "SimSun (Founder Extended)", SimSun, serif; }

  div.SAPXDPBodyBrowserDefault caption.SAPXDPDefault { font-family: sans-serif; }

  /*****************************************************************/
  /*                                                               */
  /* code                                                          */
  /*                                                               */
  /*****************************************************************/
  code.SAPXDPDefault
  {
    cursor: help;
    font-size: 0.9em;
  }

  div.SAPXDPBodyLatinChar code.SAPXDPDefault { font-family: "Arial Monospaced for SAP", "Lucida Console", "Courier New", Courier, monospace; }

  div.SAPXDPBodyGreekChar code.SAPXDPDefault { font-family: monospace; }

  div.SAPXDPBodyCyrillicChar code.SAPXDPDefault { font-family: monospace; }

  div.SAPXDPBodyKoreanChar code.SAPXDPDefault { font-family: GulimChe, DotumChe, monospace; }

  div.SAPXDPBodyJapaneseIdeograms code.SAPXDPDefault { font-family: "MS Gothic", monospace; }

  div.SAPXDPBodyChineseIdeograms code.SAPXDPDefault { font-family: NSimSun, monospace; }

  div.SAPXDPBodyBrowserDefault code.SAPXDPDefault { font-family: monospace; font-size: inherit;}

  /*****************************************************************/
  /*                                                               */
  /* dd                                                            */
  /*                                                               */
  /*****************************************************************/
  dd.SAPXDPDefault
  {
    margin-left: 0px;
  }

  /*****************************************************************/
  /*                                                               */
  /* del                                                           */
  /*                                                               */
  /*****************************************************************/
  del.SAPXDPDefault
  {
    background-color: #FFBEAD;
    background-image: none;
    color: #CE3000;
    cursor: help;
  }

  /*****************************************************************/
  /*                                                               */
  /* div                                                           */
  /*                                                               */
  /*****************************************************************/
  div.SAPXDPA11Y-furtherInfo
  /* This class is used to add further information in regard of accessibility issues which are not displayed but only read by a screen reader setting display to inline for media speech / aural - NOT SUPPORTED YET */
  {
    display: none;
  }

  div.SAPXDPFAQAnswer
  {
    border: 1px solid #D6D7D6;
    margin-bottom: 2em;
    padding: 0px 4px 0px 5px;
    /*P*/ page-break-inside: avoid;
  }

  div.SAPXDPColltype
  /* used for the collateral type like "Master Guide" or "White Paper" */
  {
    font-size: 0.8em;
    font-weight: bold;
    line-height: 19px;
    margin-left: 0px;
    text-decoration: none;
  }

  div.SAPXDPBodyLatinChar div.SAPXDPColltype { font-family: Tahoma, Verdana, Charcoal, Helvetica, sans-serif; }

  div.SAPXDPBodyGreekChar div.SAPXDPColltype { font-family: Tahoma, Verdana, Charcoal, Helvetica, sans-serif; }

  div.SAPXDPBodyCyrillicChar div.SAPXDPColltype { font-family: Tahoma, Verdana, Charcoal, Helvetica, sans-serif; }

  div.SAPXDPBodyKoreanChar div.SAPXDPColltype { font-family: Gulim, Dotum, sans-serif; }

  div.SAPXDPBodyJapaneseIdeograms div.SAPXDPColltype { font-family: "MS PGothic", Osaka, sans-serif; }

  div.SAPXDPBodyChineseIdeograms div.SAPXDPColltype { font-family: "SimSun (Founder Extended)", SimSun, serif; }

  div.SAPXDPBodyBrowserDefault div.SAPXDPColltype { font-family: sans-serif; }

  div.SAPXDPLegalInformation
  {
    font-size: 0.75em;
    line-height: 1.6em;
    padding-top: 10em;
    /*P*/ page-break-before: always;
  }

  div.SAPXDPProfile-end,
  div.SAPXDPProfile-start
  /* border color and font color are set by sap-options.xsl */
  {
    background-color: inherit;
    border: 1px solid #99BB99 !important;
    color: #557755 !important;
    font-size: 0.75em;
    padding: 0px 3px 0px 3px;
    /*P*/ page-break-inside: avoid;
  }

  div.SAPXDPBodyLatinChar div.SAPXDPProfile-end, div.SAPXDPBodyLatinChar div.SAPXDPProfile-start { font-family: Tahoma, Verdana, Charcoal, Helvetica, sans-serif; }

  div.SAPXDPBodyGreekChar div.SAPXDPProfile-end, div.SAPXDPBodyGreekChar div.SAPXDPProfile-start { font-family: Tahoma, Verdana, Charcoal, Helvetica, sans-serif; }

  div.SAPXDPBodyCyrillicChar div.SAPXDPProfile-end, div.SAPXDPBodyCyrillicChar div.SAPXDPProfile-start { font-family: Tahoma, Verdana, Charcoal, Helvetica, sans-serif; }

  div.SAPXDPBodyKoreanChar div.SAPXDPProfile-end, div.SAPXDPBodyKoreanChar div.SAPXDPProfile-start { font-family: Gulim, Dotum, sans-serif; }

  div.SAPXDPBodyJapaneseIdeograms div.SAPXDPProfile-end, div.SAPXDPBodyJapaneseIdeograms div.SAPXDPProfile-start { font-family: "MS PGothic", Osaka, sans-serif; }

  div.SAPXDPBodyChineseIdeograms div.SAPXDPProfile-end, div.SAPXDPBodyChineseIdeograms div.SAPXDPProfile-start { font-family: "SimSun (Founder Extended)", SimSun, serif; }

  div.SAPXDPBodyBrowserDefault div.SAPXDPProfile-end, div.SAPXDPBodyBrowserDefault div.SAPXDPProfile-start { font-family: sans-serif; }

  div.SAPXDPProfile-end
  {
    border-top-style: none !important;
    margin: 0.5em -3px 1em -3px;
    /*P*/ page-break-before: avoid;
    -moz-border-radius-bottomleft: 8px;
    -moz-border-radius-bottomright: 8px;
  }

  div.SAPXDPProfile-start
  {
    border-bottom-style: none !important;
    margin: 1em -3px 0.5em -3px;
    /*P*/ page-break-after: avoid;
    -moz-border-radius-topleft: 8px;
    -moz-border-radius-topright: 8px;
  }

  div.SAPXDPFAQQuestion
  {
    background-color: #D6D7D6;
    background-image: none;
    color: #333333;
    margin-top: 1em;
    padding: 1px 4px 1px 5px;
    /*P*/ page-break-inside: avoid;
  }

  div.SAPXDPSkb
  /* skb = subkeyblock like Note, Recommendation, or Caution */
  {
    background-color: #EEEEFF;
    background-image: none;
    border: 1px solid #336699;
    color: inherit;
    margin-bottom: 1em;
    margin-top: 1em;
    padding: 4px 5px 5px 8px;
    -moz-border-radius: 8px;
    /*P*/ page-break-inside: avoid;
  }

/*P*/     @media print
/*P*/     { div.SAPXDPSkb
/*P*/       {
/*P*/         background-color: #FFFFFF;
/*P*/       }
/*P*/     }

  div.SAPXDPGraphicBlock
  {
    border-bottom: 4px solid #D6D7D6;
    margin-bottom: 3em;
  }

  div.SAPXDPFooter
  {
    font-size: 0.8em;
    margin: 120px 0px 0px 0px;
  }

  div.SAPXDPBodyLatinChar div.SAPXDPFooter { font-family: Tahoma, Verdana, Charcoal, Helvetica, sans-serif; }

  div.SAPXDPBodyGreekChar div.SAPXDPFooter { font-family: Tahoma, Verdana, Charcoal, Helvetica, sans-serif; }

  div.SAPXDPBodyCyrillicChar div.SAPXDPFooter { font-family: Tahoma, Verdana, Charcoal, Helvetica, sans-serif; }

  div.SAPXDPBodyKoreanChar div.SAPXDPFooter { font-family: Gulim, Dotum, sans-serif; }

  div.SAPXDPBodyJapaneseIdeograms div.SAPXDPFooter { font-family: "MS PGothic", Osaka, sans-serif; }

  div.SAPXDPBodyChineseIdeograms div.SAPXDPFooter { font-family: "SimSun (Founder Extended)", SimSun, serif; }

  div.SAPXDPBodyBrowserDefault div.SAPXDPFooter { font-family: sans-serif; }

/*P*/     @media print
/*P*/     { div.SAPXDPFooter
/*P*/       {
/*P*/         display: none;
/*P*/       }
/*P*/     }

  div.SAPXDPMatrixTypographicalConventions
  {
    /*P*/ page-break-before: always;
  }

  div.SAPXDPTOC
  {
    page-break-before: always;
  }

  /*****************************************************************/
  /*                                                               */
  /* dt                                                            */
  /*                                                               */
  /*****************************************************************/
  dt.SAPXDPDefault
  {
    background-color: #D6D7D6;
    background-image: none;
    color: #333333;
    font-weight: bold;
    margin-top: 2em;
    padding: 1px 4px 1px 5px;
    -moz-border-radius: 8px;
  }

  /*****************************************************************/
  /*                                                               */
  /* em                                                            */
  /*                                                               */
  /*****************************************************************/
  em.SAPXDPDefault
  {
    background-color: inherit;
    color: #003366;
    font-style: normal;
    font-weight: bold;
  }

  h1.SAPXDPDefault em.SAPXDPDefault,
  h2.SAPXDPDefault em.SAPXDPDefault,
  h3.SAPXDPDefault em.SAPXDPDefault,
  h4.SAPXDPDefault em.SAPXDPDefault,
  h5.SAPXDPDefault em.SAPXDPDefault,
  h6.SAPXDPDefault em.SAPXDPDefault
  {
    border-bottom: 1px solid;
    text-decoration: none;
  }

  div.SAPXDPBodyJapaneseIdeograms em.SAPXDPDefault { font-weight: normal; }

  div.SAPXDPBodyChineseIdeograms em.SAPXDPDefault { font-weight: normal; }

  em.SourceCodeEmphasis
  {
    background-color: inherit;
    border-bottom: 1px solid #000000;
    color: #000000;
    font-weight: normal;
    text-decoration: none;
  }

  /*****************************************************************/
  /*                                                               */
  /* h1 h2 h3 h4 h5 h6                                             */
  /*                                                               */
  /*****************************************************************/
  h1.SAPXDPDefault,
  h1.SAPXDPSubtitle,
  h2.SAPXDPDefault,
  h3.SAPXDPDefault,
  h5.SAPXDPDefault,
  h5.SAPXDPSecurityLevel,
  h5.SAPXDPSubSection,
  h6.SAPXDPDefault
  {
    font-weight: bold;
    /*P*/ page-break-inside: avoid;
    /*P*/ page-break-after: avoid;
  }

  div.SAPXDPBodyLatinChar h1.SAPXDPDefault, div.SAPXDPBodyLatinChar h1.SAPXDPSubtitle, div.SAPXDPBodyLatinChar h2.SAPXDPDefault, div.SAPXDPBodyLatinChar h3.SAPXDPDefault, div.SAPXDPBodyLatinChar h5.SAPXDPDefault, div.SAPXDPBodyLatinChar h5.SAPXDPSecurityLevel, div.SAPXDPBodyLatinChar h5.SAPXDPSubSection, div.SAPXDPBodyLatinChar h6.SAPXDPDefault { font-family: Tahoma, Verdana, Charcoal, Helvetica, sans-serif; }

  div.SAPXDPBodyGreekChar h1.SAPXDPDefault, div.SAPXDPBodyGreekChar h1.SAPXDPSubtitle, div.SAPXDPBodyGreekChar h2.SAPXDPDefault, div.SAPXDPBodyGreekChar h3.SAPXDPDefault, div.SAPXDPBodyGreekChar h5.SAPXDPDefault, div.SAPXDPBodyGreekChar h5.SAPXDPSecurityLevel, div.SAPXDPBodyGreekChar h5.SAPXDPSubSection, div.SAPXDPBodyGreekChar h6.SAPXDPDefault { font-family: Tahoma, Verdana, Charcoal, Helvetica, sans-serif; }

  div.SAPXDPBodyCyrillicChar h1.SAPXDPDefault, div.SAPXDPBodyCyrillicChar h1.SAPXDPSubtitle, div.SAPXDPBodyCyrillicChar h2.SAPXDPDefault, div.SAPXDPBodyCyrillicChar h3.SAPXDPDefault, div.SAPXDPBodyCyrillicChar h5.SAPXDPDefault, div.SAPXDPBodyCyrillicChar h5.SAPXDPSecurityLevel, div.SAPXDPBodyCyrillicChar h5.SAPXDPSubSection, div.SAPXDPBodyCyrillicChar h6.SAPXDPDefault { font-family: Tahoma, Verdana, Charcoal, Helvetica, sans-serif; }

  div.SAPXDPBodyKoreanChar h1.SAPXDPDefault, div.SAPXDPBodyKoreanChar h1.SAPXDPSubtitle, div.SAPXDPBodyKoreanChar h2.SAPXDPDefault, div.SAPXDPBodyKoreanChar h3.SAPXDPDefault, div.SAPXDPBodyKoreanChar h5.SAPXDPDefault, div.SAPXDPBodyKoreanChar h5.SAPXDPSecurityLevel, div.SAPXDPBodyKoreanChar h5.SAPXDPSubSection, div.SAPXDPBodyKoreanChar h6.SAPXDPDefault { font-family: Gulim, Dotum, sans-serif; }

  div.SAPXDPBodyJapaneseIdeograms h1.SAPXDPDefault, div.SAPXDPBodyJapaneseIdeograms h1.SAPXDPSubtitle, div.SAPXDPBodyJapaneseIdeograms h2.SAPXDPDefault, div.SAPXDPBodyJapaneseIdeograms h3.SAPXDPDefault, div.SAPXDPBodyJapaneseIdeograms h5.SAPXDPDefault, div.SAPXDPBodyJapaneseIdeograms h5.SAPXDPSecurityLevel, div.SAPXDPBodyJapaneseIdeograms h5.SAPXDPSubSection, div.SAPXDPBodyJapaneseIdeograms h6.SAPXDPDefault { font-family: "MS PGothic", Osaka, sans-serif; }

  div.SAPXDPBodyChineseIdeograms h1.SAPXDPDefault, div.SAPXDPBodyChineseIdeograms h1.SAPXDPSubtitle, div.SAPXDPBodyChineseIdeograms h2.SAPXDPDefault, div.SAPXDPBodyChineseIdeograms h3.SAPXDPDefault, div.SAPXDPBodyChineseIdeograms h5.SAPXDPDefault, div.SAPXDPBodyChineseIdeograms h5.SAPXDPSecurityLevel, div.SAPXDPBodyChineseIdeograms h5.SAPXDPSubSection, div.SAPXDPBodyChineseIdeograms h6.SAPXDPDefault { font-family: "SimSun (Founder Extended)", SimSun, serif; }

  div.SAPXDPBodyBrowserDefault h1.SAPXDPDefault, div.SAPXDPBodyBrowserDefault h1.SAPXDPSubtitle, div.SAPXDPBodyBrowserDefault h2.SAPXDPDefault, div.SAPXDPBodyBrowserDefault h3.SAPXDPDefault, div.SAPXDPBodyBrowserDefault h5.SAPXDPDefault, div.SAPXDPBodyBrowserDefault h5.SAPXDPSecurityLevel, div.SAPXDPBodyBrowserDefault h5.SAPXDPSubSection, div.SAPXDPBodyBrowserDefault h6.SAPXDPDefault { font-family: sans-serif; }

  h1.SAPXDPDefault,
  h1.SAPXDPSubtitle
  /* used for the main title of the whole document; rendered in SAP gold */
  {
    background-color: inherit;
    color: #FF9900;
    font-size: 1.7em;
    line-height: 1.1em;
    margin-top: 2em;
    text-decoration: underline;
  }

  h1.SAPXDPSubtitle
  /* used for the subtitle of the whole document */
  {
    font-size: 0.9em;
    text-decoration: none;
  }

  h2.SAPXDPDefault
  /* title of division level elements */
  {
    background-color: inherit;
    color: #003366;
    font-size: 1.5em;
    line-height: 1.3em;
  }

  h3.SAPXDPDefault
  /* title of InfoObject level elements */
  {
    background-color: inherit;
    /*B1*/ -B1-background-color: #5385B1;
    color: #003366;
    /*B1*/ -B1-color: #FFFFFF;
    font-size: 1.5em;
    line-height: 1.3em;
    margin-top: 2em;
    /*B1*/ -B1-padding: 0.5em;
  }

  h4.SAPXDPDefault
  /* title of keyblock level elements */
  {
    background-color: inherit;
    color: #AAAAAA;
    font-size: 1.3em;
    margin: 2.5em 0em 0.2em -0.1em;
    /*P*/ page-break-inside: avoid;
    /*P*/ page-break-after: avoid;
  }

  div.SAPXDPBodyLatinChar h4.SAPXDPDefault { font-family: Georgia, "Times New Roman", Palatino, Times, Utopia, serif; }

  div.SAPXDPBodyGreekChar h4.SAPXDPDefault { font-family: Georgia, "Times New Roman", Palatino, Times, Utopia, serif; }

  div.SAPXDPBodyCyrillicChar h4.SAPXDPDefault { font-family: Georgia, "Times New Roman", Palatino, Times, Utopia, serif; }

  div.SAPXDPBodyKoreanChar h4.SAPXDPDefault { font-family: Gulim, Dotum, sans-serif; }

  div.SAPXDPBodyJapaneseIdeograms h4.SAPXDPDefault { font-family: "MS PGothic", Osaka, sans-serif; }

  div.SAPXDPBodyChineseIdeograms h4.SAPXDPDefault { font-family: "SimSun (Founder Extended)", SimSun, serif; }

  div.SAPXDPBodyBrowserDefault h4.SAPXDPDefault { font-family: serif; }

  div.SAPXDPBodyLatinChar h4.SAPXDPDefault,
  div.SAPXDPBodyGreekChar h4.SAPXDPDefault,
  div.SAPXDPBodyCyrillicChar h4.SAPXDPDefault,
  div.SAPXDPBodyBrowserDefault h4.SAPXDPDefault
  {
    font-style: italic;
    font-weight: normal;
  }

/*P*/     @media print
/*P*/     {
/*P*/       h4.SAPXDPDefault {
/*P*/         color: #000000;
/*P*/       }
/*P*/     }
  h5.SAPXDPDefault
  /* title of section (= sub keyblock) level elements */
  {
    background-color: inherit;
    color: #777777;
    font-size: 1.2em;
    margin: 1.8em 0em 0.3em 0em;
  }

  h5.SAPXDPSecurityLevel
  {
    margin-left: 0px;
  }

  h5.SAPXDPSubSection
  /* title of sub section level elements */
  {
    background-color: inherit;
    color: #777777;
    font-size: 1em;
    margin: 1em 0em 0em 0em;
  }

  div.SAPXDPBodyJapaneseIdeograms h5.SAPXDPSubSection
  {
    font-size: 0.9em;
  }

  div.SAPXDPBodyChineseIdeograms h5.SAPXDPSubSection
  {
    font-size: 1.0em;
  }

  h6.SAPXDPDefault
  /* title of block level elements (e.g. bulleted lists) */
  {
    background-color: inherit;
    color: #999999;
    font-size: 0.8em;
    margin-bottom: 0em;
    margin-top: 1em;
  }

  div.SAPXDPBodyJapaneseIdeograms h6.SAPXDPDefault
  {
    font-size: 0.9em;
  }

  div.SAPXDPBodyChineseIdeograms h6.SAPXDPDefault
  {
    font-size: 1.0em;
  }

  /*****************************************************************/
  /*                                                               */
  /* i                                                             */
  /*                                                               */
  /*****************************************************************/
  div.SAPXDPBodyChineseIdeograms  i.SAPXDPDefault,
  div.SAPXDPBodyJapaneseIdeograms i.SAPXDPDefault,
  div.SAPXDPBodyKoreanChar        i.SAPXDPDefault
  {
    font-style: normal;
  }

  i.SAPXDPQuickInfo,
  i.SAPXDPScreenElement
  {
    cursor: help;
  }

  /*****************************************************************/
  /*                                                               */
  /* img                                                           */
  /*                                                               */
  /*****************************************************************/
  img.SAPXDPDefault,
  img.SAPXDPSkb,
  img.SAPXDPIcon
  {
    border: none;
  }

  img.SAPXDPIcon
  {
    left: 0px;
    top: 2px;
    position: relative;
  }

  a.SAPXDPDefault img.SAPXDPDefault
  {
    background-color: inherit;
    color: white; /* hide  border in Netscape 4 */
  }

  @media all /* hide the next rule from Netscape 4 */
  { a.SAPXDPDefault img.SAPXDPDefault
    {color: inherit;} /* undo the color change above */
  }

  /*****************************************************************/
  /*                                                               */
  /* ins                                                           */
  /*                                                               */
  /*****************************************************************/
  ins.SAPXDPDefault
  {
    background-color: #B5DBB5;
    background-image: none;
    color: #316531;
    cursor: help;
  }

  /*****************************************************************/
  /*                                                               */
  /* kbd                                                           */
  /*                                                               */
  /*****************************************************************/
  kbd.SAPXDPDefault
  {
    background-color: #999999;
    background-image: none;
    border-top: 1px solid #EEEEEE;
    border-left: 1px solid #EEEEEE;
    border-bottom: 1px solid #000000;
    border-right: 1px solid #000000;
    color: #FFFFFF;
    cursor: help;
    font-weight: bold;
    letter-spacing: 0.1em;
    padding: 0px 2px 0px 3px;
  }

  div.SAPXDPBodyLatinChar kbd.SAPXDPDefault { font-family: "Arial Monospaced for SAP", "Lucida Console", "Courier New", Courier, monospace; }

  div.SAPXDPBodyGreekChar kbd.SAPXDPDefault { font-family: monospace; }

  div.SAPXDPBodyCyrillicChar kbd.SAPXDPDefault { font-family: monospace; }

  div.SAPXDPBodyKoreanChar kbd.SAPXDPDefault { font-family: GulimChe, DotumChe, monospace; }

  div.SAPXDPBodyJapaneseIdeograms kbd.SAPXDPDefault { font-family: "MS Gothic", monospace; }

  div.SAPXDPBodyChineseIdeograms kbd.SAPXDPDefault { font-family: NSimSun, monospace; }

  div.SAPXDPBodyBrowserDefault kbd.SAPXDPDefault { font-family: monospace; }

  /*****************************************************************/
  /*                                                               */
  /* li                                                            */
  /*                                                               */
  /*****************************************************************/
  li.SAPXDPSourceCodeLine
  {
    background-color: #FAFAFA;
    color: #333333;
    font-size: 0.9em;
    padding: 0em 0em 0em 1em;
  }

  div.SAPXDPBodyrtl li.SAPXDPSourceCodeLine { padding: 0em -2em 0em 1em; } /* "-2em" necessary for rtl-languages */

  div.SAPXDPBodyBrowserDefault li.SAPXDPSourceCodeLine { font-size: inherit; }

  ul li.SAPXDPDefault
  {
    margin: 0em 0em 0em 1.2em;
  }

  div.SAPXDPBodyrtl ul li.SAPXDPDefault { margin: 0em 0.4em 0em 0em; }

  ol li.SAPXDPDefault
  {
    margin: 0em 0em 0em 2em;
  }

  div.SAPXDPBodyrtl ol li.SAPXDPDefault { margin: 0em 0.8em 0em 0em; }

  /*****************************************************************/
  /*                                                               */
  /* ol ul                                                         */
  /*                                                               */
  /*****************************************************************/
  ol.SAPXDPDefault,
  ul.SAPXDPDefault
  {
    list-style-position: outside;
    margin: 0em;
    padding: 0em;
  }

  div.SAPXDPBodyrtl ol.SAPXDPDefault { margin: 0em 1.3em 0em 0em; }

  div.SAPXDPBodyrtl ul.SAPXDPDefault { margin: 0em 1.0em 0em 0em; }

  ol.SAPXDPDefault,
  ul.SAPXDPDefault
  {
    background-color: inherit;
    color: #003366;
  }

  ol.SAPXDPSourceCodeBlock
  {
    background-color: #CCCCCC;
    color: inherit;
    list-style-position: outside;
    margin: 0.5em 0em 0em 0em;
    padding: 0em 0em 0em 1em;
    -moz-border-radius: 8px;
  }

  div.SAPXDPBodyrtl ol.SAPXDPSourceCodeBlock { background-color: #FFE9D5; color: inherit; margin: 0.5em 0em 0em 0em; padding: 0em 0em 0em 2em; }

  div.SAPXDPBodyLatinChar ol.SAPXDPSourceCodeBlock { font-family: Tahoma, Verdana, Charcoal, Helvetica, sans-serif; }

  div.SAPXDPBodyGreekChar ol.SAPXDPSourceCodeBlock { font-family: Tahoma, Verdana, Charcoal, Helvetica, sans-serif; }

  div.SAPXDPBodyCyrillicChar ol.SAPXDPSourceCodeBlock { font-family: Tahoma, Verdana, Charcoal, Helvetica, sans-serif; }

  div.SAPXDPBodyKoreanChar ol.SAPXDPSourceCodeBlock { font-family: Gulim, Dotum, sans-serif; }

  div.SAPXDPBodyJapaneseIdeograms ol.SAPXDPSourceCodeBlock { font-family: "MS PGothic", Osaka, sans-serif; }

  div.SAPXDPBodyChineseIdeograms ol.SAPXDPSourceCodeBlock { font-family: "SimSun (Founder Extended)", SimSun, serif; }

  div.SAPXDPBodyBrowserDefault ol.SAPXDPSourceCodeBlock { font-family: sans-serif; }

  ol.SAPXDPDefault
  {
    list-style-type: decimal;
  }

  ul.SAPXDPDefault
  {
    list-style-type: square;
  }

  /*****************************************************************/
  /*                                                               */
  /* p                                                             */
  /*                                                               */
  /*****************************************************************/
  p.SAPXDPDefault
  {
    background-color: inherit;
    color: #333333;
    margin: 0em;
    /*B1*/ -B1-padding: 0.3em 0em;
    /*P*/ orphans: 2;
    /*P*/ widows: 2;
  }

  th.SAPXDPDefault p.SAPXDPDefault
  {
    background-color: inherit;
    color: #003366;
    /*B1*/ -B1-color: #FFFFFF;
  }

  div.SAPXDPLegalInformation p.SAPXDPDefault
  {
    background-color: inherit;
    color: #555555;
  }

  p.SAPXDPCaption
  {
    background-color: #D6D7D6;
    background-image: none;
    color: #333333;
    font-size: 0.8em;
    font-weight: bold;
    margin: 2em 0em 0.2em 0em;
    padding: 1px 4px 1px 5px;
    /*P*/ page-break-after: avoid;
    /*P*/ page-break-inside: avoid;
    -moz-border-radius: 8px;
  }

  div.SAPXDPBodyLatinChar p.SAPXDPCaption { font-family: Tahoma, Verdana, Charcoal, Helvetica, sans-serif; }

  div.SAPXDPBodyGreekChar p.SAPXDPCaption { font-family: Tahoma, Verdana, Charcoal, Helvetica, sans-serif; }

  div.SAPXDPBodyCyrillicChar p.SAPXDPCaption { font-family: Tahoma, Verdana, Charcoal, Helvetica, sans-serif; }

  div.SAPXDPBodyKoreanChar p.SAPXDPCaption { font-family: Gulim, "Dotum", "Arial Unicode MS", sans-serif; }

  div.SAPXDPBodyJapaneseIdeograms p.SAPXDPCaption { font-family: "MS PGothic", Osaka, sans-serif; }

  div.SAPXDPBodyChineseIdeograms p.SAPXDPCaption { font-family: "SimSun (Founder Extended)", SimSun, serif; }

  div.SAPXDPBodyBrowserDefault p.SAPXDPCaption { font-family: sans-serif; }

  p.SAPXDPSkbtitle
  {
    font-size: 0.8em;
    font-weight: bold;
    letter-spacing: 0.2em;
    margin: 0.5em 2em 0em 0em;
    text-transform: uppercase;
  }

  div.SAPXDPBodyrtl p.SAPXDPSkbtitle { margin: 0.5em 0em 0em 2em; }

  div.SAPXDPBodyLatinChar p.SAPXDPSkbtitle { font-family: Tahoma, Verdana, Charcoal, Helvetica, sans-serif; }

  div.SAPXDPBodyGreekChar p.SAPXDPSkbtitle { font-family: Tahoma, Verdana, Charcoal, Helvetica, sans-serif; }

  div.SAPXDPBodyCyrillicChar p.SAPXDPSkbtitle { font-family: Tahoma, Verdana, Charcoal, Helvetica, sans-serif; }

  div.SAPXDPBodyKoreanChar p.SAPXDPSkbtitle { font-family: Gulim, Dotum, sans-serif; }

  div.SAPXDPBodyJapaneseIdeograms p.SAPXDPSkbtitle { font-family: "MS PGothic", Osaka, sans-serif; }

  div.SAPXDPBodyChineseIdeograms p.SAPXDPSkbtitle { font-family: "SimSun (Founder Extended)", SimSun, serif; }

  div.SAPXDPBodyBrowserDefault p.SAPXDPSkbtitle { font-family: sans-serif; }

  div.SAPXDPLang-el p.SAPXDPSkbtitle
  {
    text-transform: none;
  }

  table.SAPXDPDefault p.SAPXDPDefault
  {
    margin: 0px;
  }

  /*****************************************************************/
  /*                                                               */
  /* pre                                                           */
  /*                                                               */
  /*****************************************************************/
  pre.SAPXDPDefault
  {
    cursor: help;
    font-size: 0.9em;
    margin: 0;
  }

  div.SAPXDPBodyLatinChar pre.SAPXDPDefault { font-family: "Arial Monospaced for SAP", "Lucida Console", "Courier New", Courier, monospace; }

  div.SAPXDPBodyGreekChar pre.SAPXDPDefault { font-family: monospace; }

  div.SAPXDPBodyCyrillicChar pre.SAPXDPDefault { font-family: monospace; }

  div.SAPXDPBodyKoreanChar pre.SAPXDPDefault { font-family: GulimChe, DotumChe, monospace; }

  div.SAPXDPBodyJapaneseIdeograms pre.SAPXDPDefault { font-family: "MS Gothic", monospace; }

  div.SAPXDPBodyChineseIdeograms pre.SAPXDPDefault { font-family: NSimSun, monospace; }

  div.SAPXDPBodyBrowserDefault pre.SAPXDPDefault { font-family: monospace; font-size: inherit;}

  /*****************************************************************/
  /*                                                               */
  /* span                                                          */
  /*                                                               */
  /*****************************************************************/
  span.SAPXDPA11Y-furtherInfo
  /* This class is used to add further information in regard of accessibility issues which are not displayed but only read by a screen reader setting display to inline for media speech / aural - NOT SUPPORTED YET */
  {
    display: none;
  }

  span.SAPXDPMarginalia
  {
    float: left;
    margin: 0px 0px 0px -110px;
    padding: 0px 20px 0px 0px;
    text-align: right;
    /*B1*/ -B1-visibility: hidden;
    width: 90px;
  }

  div.SAPXDPBodyrtl span.SAPXDPMarginalia { float: right; margin: 0px -110px 0px 0px; padding: 0px 0px 0px 20px; text-align: left;}

  span.SAPXDPCodeComment
  {
    background-color: transparent;
    color: #999999;
  }

  span.SAPXDPCodeBracket
  {
    background-color: transparent;
    color: #CC3300;
  }

  span.SAPXDPCodeString
  {
    background-color: transparent;
    color: #336666;
  }

  span.SAPXDPCodeIdentifier
  {
    background-color: transparent;
    color: #333300;
  }

  span.SAPXDPCodeConstant
  {
    background-color: transparent;
    color: #669966;
  }

  span.SAPXDPCodeSymbol
  {
    background-color: transparent;
    color: #003333
  }

  span.SAPXDPCodeKeyword1
  {
    background-color: transparent;
    color: #336699;
    font-weight: bold;
  }

  span.SAPXDPCodeKeyword2
  {
    background-color: transparent;
    color: #993333;
    font-weight: bold;
  }

  span.SAPXDPCodeKeyword3
  {
    background-color: transparent;
    color: #003333;
    font-weight: bold;
  }

  span.SAPXDPCodeKeyword4
  {
    background-color: transparent;
    color: #333366;
    font-weight: bold;
  }

  span.SAPXDPCodeKeyword5
  {
    background-color: transparent;
    color: #996699;
    font-weight: bold;
  }

  span.SAPXDPCodeKeyword6
  {
    background-color: transparent;
    color: #663366;
    font-weight: bold;
  }

  span.SAPXDPNavigationPath
  {
    cursor: help;
  }

  span.SAPXDPZeroSpace:before
  {
    content: "\200B"; /* U+200B : ZERO WIDTH SPACE */
  }

  /*****************************************************************/
  /*                                                               */
  /* sub sup                                                       */
  /*                                                               */
  /*****************************************************************/
  sub.SAPXDPDefault,
  sup.SAPXDPDefault
  {
    font-size: 0.75em;
  }

  /*****************************************************************/
  /*                                                               */
  /* table                                                         */
  /*                                                               */
  /*****************************************************************/
  table.SAPXDPDefault,
  table.SAPXDPDocumentFrontPage
  {
    background-color: #FAFAFA;
    border-collapse: collapse;
    border-spacing: 0px; /* Netscape 6.0 only */
    color: inherit;
    font-size: 1em;
    line-height: 1.5em;
  }

  div.SAPXDPBodyLatinChar table.SAPXDPDefault, div.SAPXDPBodyLatinChar table.SAPXDPDocumentFrontPage { font-family: Georgia, "Times New Roman", Palatino, Times, Utopia, serif; }

  div.SAPXDPBodyGreekChar table.SAPXDPDefault, div.SAPXDPBodyGreekChar table.SAPXDPDocumentFrontPage { font-family: Georgia, "Times New Roman", Palatino, Times, Utopia, serif; }

  div.SAPXDPBodyCyrillicChar table.SAPXDPDefault, div.SAPXDPBodyCyrillicChar table.SAPXDPDocumentFrontPage { font-family: Georgia, "Times New Roman", Palatino, Times, Utopia, serif; }

  div.SAPXDPBodyKoreanChar table.SAPXDPDefault, div.SAPXDPBodyKoreanChar table.SAPXDPDocumentFrontPage { font-family: Gulim, Dotum, sans-serif; }

  div.SAPXDPBodyJapaneseIdeograms table.SAPXDPDefault, div.SAPXDPBodyJapaneseIdeograms table.SAPXDPDocumentFrontPage { font-family: "MS PGothic", Osaka, sans-serif; }

  div.SAPXDPBodyChineseIdeograms table.SAPXDPDefault, div.SAPXDPBodyChineseIdeograms table.SAPXDPDocumentFrontPage { font-family: "SimSun (Founder Extended)", SimSun, serif; }

  div.SAPXDPBodyBrowserDefault table.SAPXDPDefault, div.SAPXDPBodyBrowserDefault table.SAPXDPDocumentFrontPage { font-family: serif; }

  table.SAPXDPDefault
  {
    margin: 2em 0em 1em 0em;
    width: 100%;
  }

  table.SAPXDPDocumentFrontPage
  {
    margin: 0px 0px 250px 0px;
    padding: 0px;
    width: 606px;
  }

/*P*/     @media print
/*P*/     {
/*P*/       table.SAPXDPDocumentFrontPage {
/*P*/         margin: -20mm -20mm -30mm -30mm;
/*P*/         /* = negative value of div.SAPXDPBodyLatinChar{padding:...} */
/*P*/         width: 690px;
/*P*/       }
/*P*/     }

  /*****************************************************************/
  /*                                                               */
  /* td                                                            */
  /*                                                               */
  /*****************************************************************/
  td.SAPXDPDefault
  {
    background-color: #FAFAFA; /* for Opera */
    border: 1px solid #D6D7D6;
    color: inherit;
    padding: 1px 4px 1px 5px;
    vertical-align: top;
  }

  div.SAPXDPBodyLatinChar td.SAPXDPDefault { font-family: Georgia, "Times New Roman", Palatino, Times, Utopia, serif; }

  div.SAPXDPBodyGreekChar td.SAPXDPDefault { font-family: Georgia, "Times New Roman", Palatino, Times, Utopia, serif; }

  div.SAPXDPBodyCyrillicChar td.SAPXDPDefault { font-family: Georgia, "Times New Roman", Palatino, Times, Utopia, serif; }

  div.SAPXDPBodyKoreanChar td.SAPXDPDefault { font-family: Gulim, Dotum, sans-serif; }

  div.SAPXDPBodyJapaneseIdeograms td.SAPXDPDefault { font-family: "MS PGothic", "MS Gothic", "Arial Unicode MS", Osaka, serif; /* 'Osaka' for pre-10.x Macintosh */ }

  div.SAPXDPBodyChineseIdeograms td.SAPXDPDefault { font-family: "SimSun (Founder Extended)", SimSun, serif; }

  div.SAPXDPBodyBrowserDefault td.SAPXDPDefault { font-family: serif; }

  div.SAPXDPICObject td.SAPXDPDefault
  {
    /*B1*/ -B1-border: none;
    /*B1*/ -B1-background-color: #FFFFFF;
  }

  table.SAPXDPDocumentFrontPage td.SAPXDPDefault
  {
    border: none;
    padding: 0px;
  }

  /*****************************************************************/
  /*                                                               */
  /* th                                                            */
  /*                                                               */
  /*****************************************************************/
  th.SAPXDPDefault
  {
    background-color: #EEEEEE;
    /*B1*/ -B1-background-color: #5385B1;
    background-image: none;
    border: 1px solid #CCCCCC;
    color: inherit;
    font-weight: bold;
    font-size: 0.8em;
    padding: 1px 4px 1px 5px;
    text-align: left;
    vertical-align: bottom;
    /*P*/ page-break-after: avoid;
  }

  div.SAPXDPBodyrtl th.SAPXDPDefault { text-align: right; }

  th.SAPXDPRowHeader
  {
    vertical-align: top;
  }

  div.SAPXDPBodyLatinChar th.SAPXDPDefault { font-family: Tahoma, Verdana, Charcoal, Helvetica, sans-serif; }

  div.SAPXDPBodyGreekChar th.SAPXDPDefault { font-family: Tahoma, Verdana, Charcoal, Helvetica, sans-serif; }

  div.SAPXDPBodyCyrillicChar th.SAPXDPDefault { font-family: Tahoma, Verdana, Charcoal, Helvetica, sans-serif; }

  div.SAPXDPBodyKoreanChar th.SAPXDPDefault { font-family: Gulim, Dotum, sans-serif; }

  div.SAPXDPBodyJapaneseIdeograms th.SAPXDPDefault { font-family: "MS PGothic", "MS Gothic", "Arial Unicode MS", Osaka, serif; }

  div.SAPXDPBodyChineseIdeograms th.SAPXDPDefault { font-family: "SimSun (Founder Extended)", SimSun, serif; }

  div.SAPXDPBodyBrowserDefault th.SAPXDPDefault { font-family: sans-serif; }

  /*****************************************************************/
  /*                                                               */
  /* tr                                                            */
  /*                                                               */
  /*****************************************************************/
  tr
  {
    /*P*/ page-break-inside: avoid;
  }

  /*****************************************************************/
  /*                                                               */
  /* tt                                                            */
  /*                                                               */
  /*****************************************************************/
  tt.SAPXDPDefault,
  tt.SAPXDPAlias
  {
    cursor: help;
    font-size: 0.9em;
    font-style: normal;
    font-weight: normal;
  }

  tt.SAPXDPAlias
  {
    text-transform: lowercase;
  }

  div.SAPXDPBodyLatinChar tt.SAPXDPDefault, div.SAPXDPBodyLatinChar tt.SAPXDPAlias { font-family: "Arial Monospaced for SAP", "Lucida Console", "Courier New", Courier, monospace;}

  div.SAPXDPBodyGreekChar tt.SAPXDPDefault, div.SAPXDPBodyGreekChar tt.SAPXDPAlias { font-family: monospace; }

  div.SAPXDPBodyCyrillicChar tt.SAPXDPDefault, div.SAPXDPBodyCyrillicChar tt.SAPXDPAlias { font-family: monospace; }

  div.SAPXDPBodyKoreanChar tt.SAPXDPDefault, div.SAPXDPBodyKoreanChar tt.SAPXDPAlias { font-family: GulimChe, DotumChe, monospace; }

  div.SAPXDPBodyJapaneseIdeograms tt.SAPXDPDefault, div.SAPXDPBodyJapaneseIdeograms tt.SAPXDPAlias { font-family: "MS Gothic", monospace; }

  div.SAPXDPBodyChineseIdeograms tt.SAPXDPDefault, div.SAPXDPBodyChineseIdeograms tt.SAPXDPAlias { font-family: NSimSun, monospace; }

  div.SAPXDPBodyBrowserDefault tt.SAPXDPDefault, div.SAPXDPBodyBrowserDefault tt.SAPXDPAlias { font-family: monospace; font-size: inherit;}

  tt.SAPXDPUserEntry
  {
    background-color: transparent;
    color: #0000CC;
    font-weight: bold;
  }

  /*****************************************************************/
  /*                                                               */
  /* var                                                           */
  /*                                                               */
  /*****************************************************************/
  var.SAPXDPDefault
  {
    cursor: help;
    font-style: normal;
  }

  div.SAPXDPBodyLatinChar i.SAPXDPDefault var.SAPXDPDefault,
  div.SAPXDPBodyGreekChar i.SAPXDPDefault var.SAPXDPDefault,
  div.SAPXDPBodyCyrillicChar i.SAPXDPDefault var.SAPXDPDefault,
  div.SAPXDPBodyBrowserDefaultChar i.SAPXDPDefault var.SAPXDPDefault
  {
    font-style: italic;
  }

/*******************************************************************/
/*                                                                 */
/* STYLESHEET FOR AURAL / SPEECH OUTPUT                            */
/*                                                                 */
/*******************************************************************/

@media aural, speech {

  h1.SAPXDPDefault,
  h2.SAPXDPDefault,
  h3.SAPXDPDefault,
  h4.SAPXDPDefault,
  h5.SAPXDPDefault,
  h6.SAPXDPDefault,
  caption.SAPXDPDefault
  {
    pause: 20% 20%;
    richness: 90;
    speech-rate: slower;
    stress: 20;
    volume: loud;
  }

  code.SAPXDPDefault,
  kbd.SAPXDPDefault,
  tt.SAPXDPDefault
  {
    speak-numeral: digits;
    speak-punctuation: code;
  }

  em.SAPXDPDefault
  {
    stress: 20;
  }

  p.SAPXDPDefault
  {
    pause: 10%;
  }

  span.SAPXDPA11Y-furtherInfo
  /* This class is used to add further information in regard of accessibility issues which are not displayed but only read by a screen reader (e.g.: quick infos can be repeated in this element because they are suppressed by some screen readers) */
  {
    display: inline;
  }

} /* END MEDIA = AURAL / SPEECH */